Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class NormalPolarGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.NormalGen
              umontreal.iro.lecuyer.randvar.NormalPolarGen

    public class NormalPolarGen

extends NormalGen

This class implements normal random variate generators using the polar method with rejection. Since the method generates two variates at a time, the second variate is returned upon the next call to `nextDouble`.

Constructor Summary
`NormalPolarGen(RandomStream s)` Creates a standard normal random variate generator with μ = 0 and σ = 1, using stream `s`.
`NormalPolarGen(RandomStream s, double mu, double sigma)` Creates a normal random variate generator with mean `mu` and standard deviation `sigma`, using stream `s`.
`NormalPolarGen(RandomStream s, NormalDist dist)` Creates a random variate generator for the normal distribution `dist` and stream `s`.

Method Summary
`double` | `nextDouble()` Generates a random number from the continuous distribution contained in this object.
`static double` | `nextDouble(RandomStream s, double mu, double sigma)`

Methods inherited from class umontreal.iro.lecuyer.randvar.NormalGen
`getMu, getSigma`

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getDistribution, getStream, nextArrayOfDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalPolarGen

    public NormalPolarGen(RandomStream s,
                          double mu,
                          double sigma)

  Creates a normal random variate generator with mean `mu` and standard deviation `sigma`, using stream `s`.

### NormalPolarGen

    public NormalPolarGen(RandomStream s)

  Creates a standard normal random variate generator with μ = 0 and σ = 1, using stream `s`.

### NormalPolarGen

    public NormalPolarGen(RandomStream s,
                          NormalDist dist)

  Creates a random variate generator for the normal distribution `dist` and stream `s`.

Method Detail

### nextDouble

    public double nextDouble()

  Description copied from class: `RandomVariateGen`
  Generates a random number from the continuous distribution contained in this object. By default, this method uses inversion by calling the `inverseF` method of the distribution object. Alternative generating methods are provided in subclasses.

  Overrides:
    `nextDouble` in class `RandomVariateGen`
  Returns:
    the generated value

### nextDouble

    public static double nextDouble(RandomStream s,
                                    double mu,
                                    double sigma)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.